precision mediump float;
uniform sampler2D u_TextureUnit;
uniform float u_Multiplier;
varying vec2 v_TextureCoordinates;

void main()
{
    vec2 tCoord = v_TextureCoordinates;
    tCoord += vec2(u_Multiplier, 0);
    gl_FragColor = texture2D(u_TextureUnit, tCoord);
}